%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

Name:           asymptote
Version:        2.13
Release:        1%{?dist}
Summary:        Descriptive vector graphics language
Group:          Applications/Publishing
License:        LGPLv3+
URL:            http://asymptote.sourceforge.net/
Source0:        http://download.sourceforge.net/sourceforge/asymptote/asymptote-%{version}.src.tgz
Source1:	asy.gif
Source2:	xasy.desktop
Source3:	asymptote.sty.204
Patch0:         asymptote-2.00-settings.patch
Patch2:		asymptote-1.91-fix-implicit-DSO-linking-libGL.patch
# This doesn't need to go upstream. We put the info file in the topdir, not a subdir, so we need this fix.
Patch3:		asymptote-2.08-info-path-fix.patch

BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  fftw-devel >= 3.0
BuildRequires:  gc-devel >= 6.8
BuildRequires:  gsl-devel
BuildRequires:  tetex-latex
BuildRequires:  ghostscript
BuildRequires:  texinfo-tex
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  freeglut-devel
BuildRequires:  zlib-devel
BuildRequires:	libtool
BuildRequires:  emacs
BuildRequires:  xemacs
# For cc-mode
BuildRequires:	xemacs-packages-extra

Requires:       tetex-latex
Requires:       tkinter
Requires:	python-imaging-tk
# for /usr/bin/texhash and /sbin/install-info
Requires(post): texlive, info
Requires(postun): texlive, info

%define texpkgdir   %{_texmf}/tex/latex/%{name}

%description
Asymptote is a powerful descriptive vector graphics language for technical
drawings, inspired by MetaPost but with an improved C++-like syntax.
Asymptote provides for figures the same high-quality level of typesetting
that LaTeX does for scientific text.

%package -n emacs-%{name}
Summary:	Compiled elisp files to run %{name} under GNU Emacs
Group:		Applications/Publishing
Requires:	emacs(bin) >= %{_emacs_version}
Requires:	%{name} = %{version}-%{release}

%description -n emacs-%{name}
This package contains the byte compiled elisp packages to run %{name} with GNU
Emacs.

%package -n emacs-%{name}-el
Summary:	Elisp source files for %{name} under GNU Emacs
Group:		Applications/Publishing
Requires:	emacs-%{name} = %{version}-%{release}

%description -n emacs-%{name}-el
This package contains the elisp source files for %{name} under GNU Emacs. You
do not need to install this package to run %{name}. Install the emacs-%{name}
package to use %{name} with GNU Emacs.

%package -n xemacs-%{name}
Summary:	Compiled elisp files to run %{name} under XEmacs
Group:		Applications/Publishing
Requires:	xemacs(bin) >= %{_xemacs_version}
Requires:	%{name} = %{version}-%{release}

%description -n xemacs-%{name}
This package contains the byte compiled elisp packages to use %{name} with
XEmacs.

%package -n xemacs-%{name}-el
Summary:	Elisp source files for %{name} under XEmacs
Group:		Applications/Publishing
Requires:	xemacs-%{name} = %{version}-%{release}

%description -n xemacs-%{name}-el
This package contains the elisp source files for %{name} under XEmacs. You do
not need to install this package to run %{name}. Install the xemacs-%{name}
package to use %{name} with XEmacs.

%prep
%setup -q
%patch0 -p1 -b .settings
%patch2 -p1 -b .DSO
%patch3 -p1 -b .path-fix
%{__sed} -i 's/\r//' doc/CAD1.asy

# convert to UTF-8
iconv -f iso-8859-1 -t utf-8 -o examples/interpolate1.asy{.utf8,}
mv examples/interpolate1.asy{.utf8,}
autoreconf -i

%build
%configure --enable-gc=system --with-docdir=%{_defaultdocdir}/%{name}-%{version}/ --with-latex=%{_texmf}/tex/latex --with-context=%{_texmf}/tex/context/
make %{?_smp_mflags}
cd doc/
# We're hacking around the fact that the asymptote.sty generated doesn't work with Fedora's old latex
make asy-latex.pdf
cp %{SOURCE3} asymptote.sty
make all

%install
make install DESTDIR=%{buildroot} mandir=%{buildroot}%{_mandir}

install -p -m 644 BUGS ChangeLog LICENSE README ReleaseNotes TODO \
    %{buildroot}%{_defaultdocdir}/%{name}-%{version}/

# Emacs files
mkdir -p %{buildroot}%{_emacs_sitestartdir}
mkdir -p %{buildroot}%{_emacs_sitelispdir}/%{name}
cp -a %{buildroot}%{_datadir}/%{name}/*.el %{buildroot}%{_emacs_sitelispdir}/%{name}
mv %{buildroot}%{_emacs_sitelispdir}/%{name}/asy-init.el %{buildroot}%{_emacs_sitestartdir}
for i in %{buildroot}%{_emacs_sitelispdir}/%{name}/*.el; do
   %{_emacs_bytecompile} $i
done

# XEmacs files
mkdir -p %{buildroot}%{_xemacs_sitestartdir}
mkdir -p %{buildroot}%{_xemacs_sitelispdir}/%{name}
cp -a %{buildroot}%{_datadir}/%{name}/*.el %{buildroot}%{_xemacs_sitelispdir}/%{name}
mv %{buildroot}%{_xemacs_sitelispdir}/%{name}/asy-init.el %{buildroot}%{_xemacs_sitestartdir}
for i in %{buildroot}%{_xemacs_sitelispdir}/%{name}/*.el; do
   %{_xemacs_bytecompile} $i
done


# Vim syntax file
for vimver in 63 64 70 71 72 73 ; do
    install -dm 755 %{buildroot}%{_datadir}/vim/vim$vimver/syntax
    cd %{buildroot}%{_datadir}/vim/vim$vimver/syntax
    ln -s ../../../%{name}/asy.vim .
done

# Move info file
mv %{buildroot}%{_infodir}/asymptote/asymptote.info %{buildroot}%{_infodir}/asymptote.info

# copy icon to pixmaps dir
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor "fedora"                  \
        --dir %{buildroot}%{_datadir}/applications   \
        %{SOURCE2}

# Clean up symlink
rm -rf %{buildroot}%{_bindir}/xasy
cd %{buildroot}%{_bindir}
ln -s ../share/%{name}/GUI/xasy.py xasy

%post
texhash >/dev/null 2>&1 || :
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir 2>/dev/null || :
/sbin/install-info %{_infodir}/asy-faq.info.gz %{_infodir}/dir 2>/dev/null || :

%postun
texhash >/dev/null 2>&1 || :
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{name} %{_infodir}/dir 2>/dev/null || :
    /sbin/install-info --delete asy-faq %{_infodir}/dir 2>/dev/null || :
fi

%files
%doc %{_defaultdocdir}/%{name}-%{version}/
%{_bindir}/*
%{_datadir}/%{name}/
%{texpkgdir}/
%{_texmf}/tex/context/
%{_mandir}/man1/*.1*
%{_infodir}/*.info*
%{_datadir}/vim/vim*/syntax/asy.vim
# Strictly speaking, we shouldn't own these dirs.
# However, we don't require emacs/xemacs, we just enhance them.
# Thus, its ok for dual ownership.
%{_datadir}/emacs*
%{_datadir}/xemacs/
%{_datadir}/pixmaps/asy.gif
%{_datadir}/applications/*.desktop

%files -n emacs-%{name}
%{_emacs_sitestartdir}/*.el
%{_emacs_sitelispdir}/%{name}/*.elc
%dir %{_emacs_sitelispdir}/%{name}

%files -n emacs-%{name}-el
%{_emacs_sitelispdir}/%{name}/*.el

%files -n xemacs-%{name}
%{_xemacs_sitelispdir}/%{name}/*.elc
%{_xemacs_sitestartdir}/*.el
%dir %{_xemacs_sitelispdir}/%{name}

%files -n xemacs-%{name}-el
%{_xemacs_sitelispdir}/%{name}/*.el

%changelog
* Tue Jun 28 2011 Tom Callaway <spot@fedoraproject.org> - 2.13-1
- update to 2.13

* Fri May 27 2011 Tom Callaway <spot@fedoraproject.org> - 2.10-1
- update to 2.10

* Thu Mar  3 2011 Tom Callaway <spot@fedoraproject.org> - 2.08-4
- no, really, fix info parsing
- breakout emacs subpackages

* Fri Feb 18 2011 Tom Callaway <spot@fedoraproject.org> - 2.08-3
- fix info parsing

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov  4 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.08-1
- update to 2.08

* Mon Nov  1 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.07-1
- update to 2.07

* Mon Oct 25 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.06-1
- update to 2.06

* Wed Oct 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.05-1
- update to 2.05

* Mon Aug 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.04-1
- update to 2.04

* Thu Aug  5 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.03-1
- update to 2.03

* Thu Jul 15 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.02-2
- fix man page generation (bz 582010)

* Tue Jul 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.02-1
- update to 2.02

* Mon Jul  5 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.01-1
- update to 2.01

* Mon Jun 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.00-1
- update to 2.00

* Fri Feb 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.91-1
- update to 1.91

* Thu Nov 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.90-1
- update to 1.90

* Mon Oct  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.88-1
- update to 1.88

* Mon Sep 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.87-2
- fix gcc44 patch

* Mon Sep 28 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.87-1
- update to 1.87

* Sun Sep  6 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.86-1
- update to 1.86

* Mon Aug 24 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.85-1
- update to 1.85

* Thu Aug 20 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.84-1
- update to 1.84

* Mon Aug 17 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.83-1
- update to 1.83

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.82-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.82-1
- update to 1.82

* Fri Jul 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.80-1
- update to 1.80

* Wed Jul  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.78-2
- disable pdf generation in rawhide

* Wed Jul  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.78-1
- update to 1.78

* Mon May 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.73-1
- update to 1.73
- change license from GPLv3+ to LGPLv3+

* Mon Apr 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.70-1
- update to 1.70

* Tue Apr  7 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.69-1
- update to 1.69

* Wed Mar 25 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.68-1
- update to 1.68

* Thu Mar 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.67-1
- update to 1.67

* Fri Feb 27 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.66-1
- update to 1.66

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.63-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-4
- more gcc44 fixes with BIG_ENDIAN platforms

* Wed Feb 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-3
- fix gcc44 issue with BIG_ENDIAN platforms

* Wed Feb 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-2
- forgot to put in new source

* Wed Feb 18 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.63-1
- 1.63

* Fri Jan 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.60-1
- 1.60

* Mon Jan 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.59-1
- 1.59

* Mon Jan 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.58-1
- 1.58

* Mon Dec 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.57-1
- 1.57

* Tue Dec  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.56-1
- 1.56

* Tue Dec  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.54-1
- 1.54

* Tue Nov 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.52-1
- 1.52

* Tue Nov 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.51-1
- update to 1.51

* Mon Nov  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.49-1
- update to 1.49

* Sun Oct 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.47-1
- update to 1.47

* Mon Oct 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.46-1
- update to 1.46

* Mon Oct  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.44-2
- add missing BuildRequires

* Mon Oct  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.44-1
- update to 1.44

* Fri Jun 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.43-1
- update to 1.43

* Fri Apr 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.42-3
- explicitly call "make asymptote.pdf" in doc/

* Fri Apr  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.42-2
- fix build failure (use _POSIX_ARG_MAX) resolves bz 440799

* Thu Feb 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.42-1
- update to 1.42

* Wed Feb  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.41-1
- update to 1.41
- enable desktop file for xasy

* Thu Jan  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.37-1
- bump to 1.37
- fix gcc43 failures
- drop triggers

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - sh: kpsewhich: command not found
- Rebuild for selinux ppc32 issue.

* Sun Jul 29 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.33-1
- Update 1.33.

* Sat Jun 30 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.32-1
- Update to 1.32.
- vim-common triggers: correction and improvements (#246131).

* Wed Jun 27 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.31-1
- Update to 1.31.

* Sat Jun 16 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.30-1
- Update to 1.30.

* Sat Jun 16 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.29-3
- Using "evince" as the default PS and PDF viewers (#244151).
  (patch file: asymptote-1.29-settings.patch)
- Use relative symbolic links in the {emacs,xemacs}-common triggers (#155750).
- Use relative symbolic links in the vim-common triggers.

* Sat Jun  2 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.29-2
- Add asy-faq to install-info (#155750).
- Add support for vim 7.1.

* Mon May 21 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.29-1
- Update to 1.29.

* Tue May  8 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.28-1
- Update to 1.28.

* Sat May  5 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.27-1
- Update to 1.27.

* Wed Apr 25 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.26-1
- Update to 1.26.

* Tue Apr 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.25-1
- Update to 1.25.

* Sun Apr  1 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.24-1
- Update to 1.24.

* Sun Mar 11 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.23-1
- Update to 1.23.

* Tue Mar  6 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-1
- Update to 1.22.

* Sat Mar  3 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.21-1
- Update to 1.21.

* Fri Dec 29 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.20-1
- Update to 1.20.

* Sat Dec 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.19-1
- Update to 1.19.

* Sun Nov  5 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.18-1
- Update to 1.18.

* Wed Nov  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.17-1
- Update to 1.17.

* Wed Oct 25 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.16-1
- Update to 1.16.

* Sun Oct 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.15-1
- Update to 1.15.

* Wed Sep  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.13-1
- Update to 1.13.

* Thu Aug  3 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.12-1
- Update to 1.12.

* Thu Jul  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.11-1
- Update to 1.11.

* Wed Jun 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.10-1
- Update to 1.10.

* Fri Jun 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.09-1
- Update to 1.09.

* Thu Jun 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.08-1
- Update to 1.08.
- Also installs the info file.

* Mon May 29 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-5
- Fedora Core 6: the texinfo package has been splitted (texinfo + texinfo-tex).

* Sat May 27 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-4
- Group: Development/Tools -> Applications/Publishing (#193154).

* Sat May 27 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-3
- Emacs/Xemacs init file (#193154 comment 6).

* Fri May 26 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-2
- Directories ownership (#193154).

* Wed May 24 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to 1.06.
- Using triggers to install the Vim syntax file and the Emacs/Xemacs mode file.

* Mon May 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
- Update to 1.05.

* Sun May  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-1
- Update to 1.04.

* Fri Mar 31 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
- Update to 1.03.

* Thu Mar 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.02-1
- First build.

# vim:set ai ts=4 sw=4 sts=4 et:
